package com.ywt.alipaympapi.web.controller;

import com.ywt.core.Anonymous;
import com.ywt.model.PageVO;
import com.ywt.model.Pagination;
import com.ywt.model.ResponseVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Walker
 * Created on 2022/9/19
 */
@Slf4j
@RestController("/dev")
@RequestMapping({"/dev"})
public class DevController {
    @Anonymous(enable = true)
    @RequestMapping(value = {"/eptPageList"}, method = RequestMethod.POST)
    public @ResponseBody ResponseVO<PageVO<String>> eptPageList() {
        Pagination pagination = new Pagination(1, 1, 0);
        PageVO<String> page = new PageVO<>(pagination, new ArrayList<>());
        return ResponseVO.success(page);
    }
    @Anonymous(enable = true)
    @RequestMapping(value = {"/eptList"}, method = RequestMethod.POST)
    public @ResponseBody ResponseVO<List<String>> eptList() {
        return ResponseVO.success(new ArrayList<>());
    }
}
